UPP Docs
Funding

List a customer's virtual accounts

GET
/customers/{customerId}/virtual-accounts

All of the customer's applications, newest first, including rejected ones.

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Path Parameters

customerId*string

Customer ID (starts with cus_)

Response Body

Virtual bank accounts

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/customers/string/virtual-accounts'
Example Response
{  "data": [    {      "id": "string",      "customer_id": "string",      "bank_id": "string",      "bank_name": "string",      "currencies": [        "string"      ],      "status": "submitting",      "reject_reason": "string",      "accounts": [        {          "currency": "string",          "deposit_instrument_id": "string",          "details": {            "account_name": "string",            "account_address": "string",            "account_number": "string",            "iban": "string",            "bank_name": "string",            "bank_country": "string",            "bank_address": "string",            "swift_code": "string",            "intermediary_bank_name": "string",            "intermediary_swift_code": "string",            "intermediary_bank_address": "string",            "routing": [              {                "type": "string",                "code_type": "string",                "code": "string"              }            ]          }        }      ],      "opened_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}